<?xml version="1.0" encoding="UTF-8"?>
<odoo>
    <record id="gt_dte_type_view_form" model="ir.ui.view">
        <field name="name">gt.dte.type.view.form</field>
        <field name="model">gt.dte.type</field>
        <field name="arch" type="xml">
            <form>
                <sheet>
                    <group>
                        <group>
                            <field name="active" invisible="1"/>
                            <field name="name"/>
                            <field name="code"/>
                        </group>
                        <group>
                            <field name="general_move_type"/>
                        </group>
                    </group>
                    <notebook>
                        <page id="frases" string="Frases">
                            <group>
                                <field name="frases_ids">
                                    <tree editable="bottom">
                                        <field name="type"/>
                                        <field name="name"/>
                                        <field name="code"/>
                                        <field name="setting"/>
                                    </tree>
                                </field>
                            </group>
                        </page>
                    </notebook>
                </sheet>
            </form>
        </field>
    </record>

    <record id="gt_dte_type_view_tree" model="ir.ui.view">
        <field name="name">gt.dte.type.view.tree</field>
        <field name="model">gt.dte.type</field>
        <field name="arch" type="xml">
            <tree>
                <field name="name"/>
                <field name="code"/>
                <field name="general_move_type"/>
            </tree>
        </field>
    </record>

    <record id="action_dte_types" model="ir.actions.act_window">
        <field name="name">DTE types</field>
        <field name="type">ir.actions.act_window</field>
        <field name="res_model">gt.dte.type</field>
        <field name="view_mode">tree,form</field>
        <field name="view_id" ref="gt_dte_type_view_tree"/>
    </record>

    <menuitem id="menu_dte_type"
        name="DTE Types"
        parent="account.account_invoicing_menu"
        sequence="5"
        action="action_dte_types"
        groups="base.group_no_one"
    />
</odoo>
